> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Suspend a subscription



## OpenAPI

````yaml /openapi.yaml post /v2/subscriptions/{xid}/suspend
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v2/subscriptions/{xid}/suspend:
    parameters:
      - schema:
          type: string
        name: xid
        in: path
        required: true
      - schema:
          type: string
        name: xid
        in: path
        required: true
        description: iccid or id of the subscription
    post:
      tags:
        - SubscriptionV2
      summary: Suspend a subscription
      operationId: post-v2-subscriptions-xid-suspend
      responses:
        '200':
          description: OK
          content:
            application/xml:
              schema:
                type: object
                properties:
                  currentState:
                    x-stoplight:
                      id: yvmbvih66r8tn
                    enum:
                      - PENDING
                      - ACTIVE
                      - SUSPENDED
                      - TERMINATED
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````